# MorphoBluePriceTrigger

### Description

Trigger contract that verifies if current token price ratio is over/under the price ratio specified during subscription

> **Notes**
>
> This uses the Morpho oracle, which returns the price of the collateral token in terms of the loan token. The trigger expects the price input to be scaled by 1e8.

### Trigger ID

`0x6730402c`

### SDK Action

```ts
const morphoBluePriceTrigger = new dfs.triggers.MorphoBluePriceTrigger(
    loanToken,
    collateralToken,
    oracle,
    price,
    state
);
```

### Subscription Parameters

```solidity
/// @param oracle address of the morpho oracle from the market
/// @param collateralToken address of the collateral token from the market
/// @param loanToken address of the loan token from the market
/// @param price price of the collateral token in terms of the loan token that represents the triggerable point.
/// @param state represents if we want the current price to be higher or lower than price param
struct SubParams {
    address oracle;
    address collateralToken;
    address loanToken;
    uint256 price;
    uint8 state;
}
```

### Calldata Parameters

```solidity
None
```

### IsChangeable

`false`


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.defisaver.com/triggers/morphoblue/morphobluepricetrigger.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
